Get Tool Reports

List the report APIs available per tool, not the reports saved in an account.

These are the report APIs each enabled tool exposes. To list the reports already saved in an account, use Get Report Names.

This method allows you to view reports for each of the service-enabled tools such as Asset Exposure (AE), Patch Management (PM), Risk Prioritization (RP), Compliance Management (CM), Vulnerability Management (VM), Posture Anomaly (PA), Endpoint Management (EM), and Cyber Hygiene Score (CHS).

KeyMeaningMandatoryData Type
accountidAccount name used to fetch report APIs per toolYesstring
Python SDK code

Install:

pip install secpod-saner-sdk

Call this endpoint:

from saner.platform import PlatformClient

client = PlatformClient(
    api_key="<YOUR_API_KEY>",
    accountid="<YOUR_ACCOUNT_ID>",
    base_url="https://saner.secpod.com"
)

response=client.Report.getApis(
  accountid="Demo Account"
)

print(response)
client.close()

Requires Python 3.9 or later.

Query Params
string
required

Account name used to identify the User

Body Params
request
object
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json